# `learner.exhaustive` – Exhaustive learners

This modules provides exhaustive learners. Currently, it include the ListLearner class which scores a list of networks. In the future, we might implent exhaustive learners that score all possible networks meeting some constraints (as defined by prior models).

## Configuration Parameters

`listlearner.networks`

  List of networks to score. default=

## ListLearner Class

class `pebl.learner.exhaustive.``ListLearner`(data_=None, prior_=None, networks=None)

  Create a ListLearner learner.

  networks should be a list of networks (as network.Network instances).

  `split`(count)

    Split the learner into multiple learners.

    Splits self.networks into count parts. This is similar to MPI’s scatter functionality.